U++ - Bug #62
OWC Builder. Correct support for .rc files
06/17/2011 01:55 PM - Sender Ghost

Status: Approved Start date: 06/17/2011
Priority: Immediate Due date:

Assignee: Sender Ghost % Done: 100%
Category: IDE Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Current OWC Builder implementation lacks correct support for .rc files. Instead of passing compiled .rc files to "files” linker section, it need
to pass to their own "resource" linker section.
| found this, while testing Open Watcom samples, one of which | attached to this report.

History

#1 - 06/17/2011 01:59 PM - Sender Ghost
- Status changed from New to In Progress

- % Done changed from 0 to 50

| have working solution, but generalization needed for many packages. | will post it, when it will be ready for QA.

#2 - 06/17/2011 07:40 PM - Sender Ghost

- File OWCBuilder.patch added

- File OWCBuilderChangedFiles.zip added

- Status changed from In Progress to Ready for QA

- Assignee changed from Sender Ghost to Miroslav Fidler
- % Done changed from 50 to 100

Ok, | created a working solution. Now it is ready for QA.

#3 - 06/17/2011 09:57 PM - Sender Ghost
- File OWCBUuilder2.patch added
- File OWCBUuilderChangedFiles2.zip added

| solved another issue with compiler and linker options from packages. | think, they could be applied by the way. They named with "(second try)" description
and contains previous patches too.

#4 - 07/31/2011 07:42 PM - Sender Ghost
- File OWCBuilder.dliff added

- Category set to IDE

- Priority changed from Low to Normal

| created new diff file (OWCBuilder.diff) to apply, because of changes from 3717 revision
http://90.176.237.17:5105/redmine/projects/upp/repository/revisions/3717

#5 - 07/31/2011 07:45 PM - Sender Ghost
- File deleted (OWCBuilder.patch)

#6 - 07/31/2011 07:46 PM - Sender Ghost
- File deleted (OWCBuilderChangedFiles.zip)

#7 - 10/05/2011 05:05 PM - Miroslav Fidler
- Status changed from Ready for QA to In Progress
- Priority changed from Normal to Immediate

#8 - 10/05/2011 05:09 PM - Miroslav Fidler
- Status changed from In Progress to Patch ready

#9 - 10/07/2011 10:53 AM - Sender Ghost
- Status changed from Patch ready to Approved
- Assignee changed from Miroslav Fidler to Sender Ghost

Thanks for patch review, Mirek.

Now, this patch could be applied for repository.

#10 - 10/07/2011 11:44 PM - Sender Ghost
- Status changed from Approved to Patch ready
- Assignee changed from Sender Ghost to Miroslav Fidler

The issue reverted to "Patch ready” status.

#11 - 10/08/2011 10:45 AM - Miroslav Fidler
- Status changed from Patch ready to Ready for QA
- Assignee changed from Miroslav Fidler to Sender Ghost

#12 - 10/08/2011 11:56 AM - Sender Ghost
- Status changed from Ready for QA to Approved

Files

Sample.zip 9.09 KB 06/17/2011 Sender Ghost

OWCBuilder2.patch 6.71 KB 06/17/2011 Sender Ghost

OWCBUuilderChangedFiles2.zip 3.52 KB 06/17/2011 Sender Ghost

OWGBUuilder.diff 5.61 KB 07/31/2011 Sender Ghost
